<!DOCTYPE html>
<html lang="{{ app.request.locale|e('html_attr') }}" class="lang-base-{{ (app.request.locale|e('html_attr')|split('_', 2))[0] }}" x-ajax-landing="{{ ajax_landing }}">
<head>
    {% block html_head %}
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta charset="UTF-8" />

        <!-- Keep the robots out -->
        <meta name="robots" content="noindex, nofollow">

        <!-- Tell mobile devices not to perform desktop scaling -->
        <meta name="viewport" content="width=device-width, user-scalable=no">

        <!-- Set the base URL to account for virtual mod_rewrite URLs -->
        <base target="_blank" href="{{ app.request.getBaseURL() }}">

        <!-- Load CSS -->
        {{ encore_entry_link_tags('app') }}

        <!-- Load JS -->
        {{ encore_entry_script_tags('app') }}

        <!-- Set Favicon -->
        <link rel="shortcut icon" href="{{ asset('build/images/favicon.ico') }}" sizes="310x310">

        <!-- Set page title -->
        {% if block('title') is defined %}
            <title>{{ block('title') }} - MyHordes</title>
        {% else %}
            <title>MyHordes</title>
        {% endif %}
    {% endblock %}
</head>
<body class="{% if is_granted('ROLE_USER') %} online_body {% else %} offline_body {% endif %}">
<div id="notifications"></div>
<div id="wrapper">
    <div id="header">
        <div id="header-reload-area"></div>
        {% if is_granted('ROLE_USER') %}
            <div id="apps">
                <h1><img src="{{ asset('build/images/icons/small_archive.gif') }}" alt="{{ 'Verzeichnis'|trans({},'global') }}"><span>{{ 'Verzeichnis'|trans({},'global') }}</span></h1>
                <div id="apps-list">
                    <p>{{ 'Die folgenden Links verweisen alle auf Web- und Fanseiten, die von Spielern kreiert wurden. Ihr findet auf ihnen zusätzliche Informationen oder nützliche Tools für das Spiel:'|trans({}, 'global') }}</p>
                    <ul>
                    {% for ex in apps %}
                        {# @var ex \App\Entity\ExternalApp #}
                        <li class="app-external" data-id="{{ ex.id }}">
                            <a target="_blank" href="{{ path('disclaimer', { 'id': ex.id }) }}"><img src="{{ asset('build/images/apps/' ~ ex.icon ~ '.gif') }}" /><span>{{ ex.name }}</span></a>
                        </li>
                    {% endfor %}
                    </ul>
                </div>
            </div>
        {% endif %}
        {% if is_granted('ROLE_CROW') %}
            <div id="modeCommand">
                <h1><span>{{ 'Moderation'|trans({},'global') }}</span></h1>              
                <div id="scrollMenu">
                    <ul>
                    {% for adminAction in adminActions %}
                        {# @var adminAction \App\Entity\AdminAction #}
                        <a href="{{ path('admin_action', { 'id': adminAction.id }) }}"><span>{{ adminAction.name|trans({},'admin') }}</span></a><br>
                    {% endfor %}
                    </ul>
                </div>
            </div>
        {% endif %}
        {% block header %}{% endblock %}
    </div>

    {% if debug %}
        <div class="debug_info">
            <div><b>Warning: </b>This is a test build! Please report any issues <a href="https://gitlab.com/eternal-twin/myhordes/-/issues">here</a>!</div>
            <div>v {{ version }} [{{ env }}]</div>
        </div>
    {% endif %}

    <div id="content">
        <noscript>
            <div class="row">
                <div class="cell padded rw-12">
                    <h1>JavaScript required</h1>
                    <p>This website requires JavaScript to work. You are seeing this page because JavaScript is either disabled or blocked in your browser.</p>
                    <p>If you are using Adblockers or Scriptblockers, please disable them to use this website.</p>
                </div>
            </div>
        </noscript>
    </div>

    <div id="footer"></div>
</div>
<div id="tooltip_container"></div>
<div id="loadzone" x-stack="0">
    <div><i class="fa fa-spin fa-cog fa-3x"></i></div>
    <div><i class="fa fa-spin fa-cog fa-3x"></i></div>
    <div><i class="fa fa-spin fa-cog fa-3x"></i></div>
</div>
<div id="modal-backdrop">
    <div id="modal">
        <div id="modal-title"></div>
        <div id="modal-content"></div>
        <div id="modal-actions"></div>
    </div>
</div>

</body>
<footer>
    {% block footer %}
        <div class="row">
            <div class="cell-small rw-11 rw-sm-24 justify">
                <strong>MyHordes</strong>
                <div class="content">This is a fan project for the games <a href="http://dieverdammten.de">Die Verdammten</a>, <a href="http://die2nite.com/">Die2Nite</a> and <a href="http://hordes.fr/">Hordes</a> by <b>MotionTwin</b>.
                Unless otherwise expressly stated, all graphics in MyHordes are taken from these games and are therefore the property of <b>MotionTwin</b>.</div>
            </div>
            <div class="cell-small ro-5 rw-8 ro-sm-0 rw-sm-24 center">
                <strong>Programming</strong>
                <div class="content">
                {% for dev in devs %}
                    <div>{{ dev|raw }}</div>
                {% endfor %}
            	</div>
                <strong>Thanks to</strong>
                <div class="content">
                    <i>MisterD</i>, <i>Mondi</i>, <i>Schroedinger</i>, <i>Kitsune</i>, <i>Dylan57</i>
            	</div>
            </div>
        </div>
    {% endblock %}
</footer>
<script>
    (function() {
        document.getElementById('header-reload-area').addEventListener('click', function() { window.location.href = $.ajax.getBaseURL(); })
        window.c = {
            'errors': {
                'default': '{% trans from 'global' %}Allgemeiner Fehler.{% endtrans %}',
                {{ include('scripts/errors/generic.txt.twig') }}
                {{ include('scripts/errors/profile.txt.twig') }}
                {{ include('scripts/errors/town.txt.twig') }}
                {{ include('scripts/errors/beyond.txt.twig') }}
                {{ include('scripts/errors/inventory.txt.twig') }}
                {{ include('scripts/errors/actions.txt.twig') }}
                {{ include('scripts/errors/forum.txt.twig') }}
            },
            'langs': {
                'de': '{{ 'Deutsch'|trans({},'global') }}',
                'en': '{{ 'Englisch'|trans({},'global') }}',
                'fr': '{{ 'Französisch'|trans({},'global') }}',
                'es': '{{ 'Spanisch'|trans({},'global') }}',
            },
            'label': {
                'confirm': '{{ 'Bestätigen'|trans({},'global') }}'
            }
        };
    })();

</script>
</html>
